新闻中心

新闻中心Network

We are happy to communicate with you.

当前位置: > 新闻中心 >
浏览量

苹果要App必须支持64位系统

作者:微信飙

app开发
苹果公司刚刚在开发者网站上公布了一份最新的通知,通知要求广大开发者注意一些App Store中应用提交政策的变化。公告表示从明年的2月份开始,iOS的应用必须符合两个新的要求,分别包括必须支持64位并且使用iOS 8系统的SDK进行应用构建。
 
从2015年的2月1日开始,新的应用和更新必须使用iOS 8的SDK进行构建,并且需要包含64位的支持,苹果建议开发者升级到Xcode 6或以上版本,使用默认的Xcode Standard architectures编译选项,否则这些应用会被拒绝提交。苹果去年大约这个时候为iOS 7的应用优化也作出了类似的说明。
 
64位的支持对于较新设备的人们来说尤其重要。近年来苹果一直积极推动其主流硬件产品支持64位,自2013年iPhone 5s发布至今年推出的iPhone 6/6 Plus,以及多款iPad产品均使用A7或A8等64位处理器,苹果如今要求开发者均推出64位支持应用,充分利用硬件性能也是自然之举。在苹果首次推出采用64位芯片的平板及智能手机设备之时,其他芯片制造商均措手不及,它们均认为在便携式计算领域这项技术并没太大必要。直到苹果推出64位A7芯片,各大移动芯片制造商才开始大规模研制64位移动芯片产品。
 
苹果要求使用iOS 8的SDK同样是一个好消息,因为它可以鼓励开发者更新他们的应用。之前上架了App Store的应用被不会被撤回,但苹果要求在明年2月1日后所有的更新提交都必须符合新的规则。

下一篇:app管理办法将整治app乱象

上一篇:Google收购Firebase 助app开发

相关阅读